<?php
namespace Teknisa\CRM\Service;


class WizardProspectService {
    
    protected $wizardFactory;
    
    public function __construct ($wizardFactory){
        
        $this->wizardFactory    = $wizardFactory;
    }
    
    public function executeQuery($parameters, $mode){
        
        if(strpos($parameters['QUERY'], 'DESC') !== false){
            $table = str_replace("DESC ","",$parameters['QUERY']);
            $table = str_replace(" ","",$table);
            $query = "SELECT COLUMN_NAME AS NOME, NULLABLE AS NULO, DATA_TYPE || '(' || DATA_LENGTH || ')' AS TIPO FROM USER_TAB_COLUMNS WHERE TABLE_NAME = '$table'";
            $parameters['QUERY'] = $query;
        }
        return $this->wizardFactory->executeQuery($parameters, $mode);
        
    }
}